package gen2wave.rp70biodemo.passport;

import org.jmrtd.BACKeySpec;

/**
 * Created by mastyle on 18. 2. 26.
 */

public class UserBackKeySpec implements BACKeySpec {
    private String docNumber = null;
    private String dateOfBirth = null;
    private String dateOfExpiry = null;

    public UserBackKeySpec(String dn, String dob, String doe) {
        docNumber = dn;
        dateOfBirth = dob;
        dateOfExpiry = doe;
    }
    @Override
    public String getDocumentNumber() {
        return docNumber;
    }

    @Override
    public String getDateOfBirth() {
        return dateOfBirth;
    }

    @Override
    public String getDateOfExpiry() {
        return dateOfExpiry;
    }

    @Override
    public String getAlgorithm() {
        return null;
    }
}
